curl --request POST \
--url https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/jobs/extractTerms \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"jobs": [
{
"uid": "3HYnHHLkTPJfMxBCDbPXFe"
}
],
"ignoreWordContainingNumbers": true,
"maxWords": 10,
"minFrequency": 2,
"minWordLength": 2
}
'import requests
url = "https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/jobs/extractTerms"
payload = {
"jobs": [{ "uid": "3HYnHHLkTPJfMxBCDbPXFe" }],
"ignoreWordContainingNumbers": True,
"maxWords": 10,
"minFrequency": 2,
"minWordLength": 2
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
jobs: [{uid: '3HYnHHLkTPJfMxBCDbPXFe'}],
ignoreWordContainingNumbers: true,
maxWords: 10,
minFrequency: 2,
minWordLength: 2
})
};
fetch('https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/jobs/extractTerms', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Extract candidate terms
Suggests candidate terms from the content of the given jobs, based on frequency and other heuristics. Returns an XLSX file listing the suggested terms.
Authorizations
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Path Parameters
Project UID
Body
Jobs to extract candidate terms from and extraction settings
Jobs whose content is scanned for candidate terms
100Show child attributes
Show child attributes
When true, candidate terms containing digits are ignored. Default: true
Maximum number of words in an extracted term. Default: 3
1 <= x <= 20Minimum number of occurrences required for a candidate term. Default: 4
x >= 1Minimum character length of a candidate term. Default: 4
x >= 1Response
application/octet-stream
Was this page helpful?